package com.zxhy.simplefilesmanager.simpledata

import android.net.Uri
import java.io.File

class JoGridFileJo(
    val sdad: String = "",
    var uri: Uri = Uri.EMPTY,
) : JoFileJo() {
    companion object {
        fun joGridFileJo(file: File): JoGridFileJo {
            return JoGridFileJo().apply {
                path = file.absolutePath
                fName = file.name
            }
        }

        fun File.joGridFileJo2(): JoGridFileJo {
            return JoGridFileJo().apply {
                fName = name
            }
        }
    }

}